#
# spec file for package ibus-table-zhengma
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-table-zhengma
Version:        1.4.6
Release:        bp153.1.15
Summary:        ZhengMa input method for IBus
License:        GPL-3.0+
Group:          System/I18n/Chinese
Url:            https://github.com/heiher/ibus-table-zhengma
Source0:        https://github.com/heiher/ibus-table-zhengma/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        COPYING
BuildRequires:  ibus-table-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%ibus_table_requires

%description
Zheng Ma input method intergrated in IBus framework.

%prep
%setup -q
cp %{SOURCE1} .

%build
/usr/bin/ibus-table-createdb -n zhengma.db -s zhengma.txt

%install
install -d %{buildroot}%{_ibus_tabledir}
install -d %{buildroot}%{_ibus_icondir}
install -m 0644 zhengma.db %{buildroot}%{_ibus_tabledir}
install -m 0644 zhengma.svg %{buildroot}%{_ibus_icondir}

%post
%ibus_table_index_post zhengma

%files
%defattr(-,root,root)
%doc COPYING
%{_ibus_tabledir}/zhengma.db
%{_ibus_icondir}/zhengma.svg

%changelog
* Thu Jan  4 2018 hillwood@opensuse.org
- Update version to 1.4.6
  * Add CJK-A, CJK-B and CJK-C.
* Thu Jul 28 2016 qzhao@suse.com
- Update ibus-table-zhengma.spec, modify license information to
  fit the COPY file inside. (bsc#990964)
* Sat Jul 26 2014 i@marguerite.su
- ibus-table is now built with python3
- we need to port ibus-table-zhengma to python3 too
* Tue Jun 23 2009 tiwai@suse.de
- initial version: 1.1.0.20090402
